Subject: bug#73181: guix-daemon fails when invoking ‘guix authenticate’ on the Hurd

From: <[email-masked]>
Date: Sun, 10 Nov 2024 13:01:30 +0100

Ludovic Courtès writes:

Hi,

> <[email-masked]> skribis:
>
>>>> Anyway, using this patch 0001 it seems that suppressing the warnings
>>>> works, I no longer get
>>>>
>>>> "GC Warning: Repeated allocation of very large block (appr. size 112
>>>> KiB):\n\tMay lead to memory leak and poor performance\n"
>>>>
>>>>
>>>> but still get
>>>>
>>>> unexpected build daemon error: stoi
>>>
>>> Damnit.  Could you check with rpctrace what the daemon receives?
>>>
>>> I wonder if I misunderstood what the root cause is.
>>
>> Yes :-(  I captured a `guix offload test' run, see attached.
>
> [...]
>
>> ("gnu/store/81ffz0prarfczr408ydnps31jf72s5ly-glibc-cross-i586-pc-gnu-2.39/share/locale/locale.alias"
>> 4194305 0) = 0 1 "" 51<--47(pid198)
>
> Does that ‘locale.alias’ file exists?

Yes

--8<---------------cut here---------------start------------->8---
root@childhurd ~# tail /gnu/store/81ffz0prarfczr408ydnps31jf72s5ly-glibc-cross-i586-pc-gnu-2.39/share/locale/locale.alias
portuguese      pt_PT.ISO-8859-1
romanian        ro_RO.ISO-8859-2
russian         ru_RU.ISO-8859-5
slovak          sk_SK.ISO-8859-2
slovene         sl_SI.ISO-8859-2
slovenian       sl_SI.ISO-8859-2
spanish         es_ES.ISO-8859-1
swedish         sv_SE.ISO-8859-1
thai             th_TH.TIS-620
turkish         tr_TR.ISO-8859-9
--8<---------------cut here---------------end--------------->8---

> Did you try several LC_ALL=xxx values to see which one would work and
> which one wouldn’t?

I tried fr_FR.UTF-8 and nl_NL.UTF-8, both fail.  And then LC_ALL=C,
which works.  Any other ideas?

> So after all, there may be two issues: the “Repeated allocation” thing,
> and a locale issue.

Yes, it looks like the we can suppress the warnings though, which
hides the "Repeated allocation" issue...

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com